X2Go Bug report logs - #407
Sometimes mounts will remain, even after a close of the session

version graph

Package: x2goserver; Maintainer for x2goserver is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goserver is src:x2goserver.

Reported by: Dick Kniep <dick@lindix.nl>

Date: Tue, 21 Jan 2014 16:05:02 UTC

Severity: normal

Tags: pending

Found in version 4.0.0.11-0~736~ubuntu12.04.1

Fixed in version 4.0.1.16

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Full log


🔗 View this message in rfc822 format

X-Loop: owner@bugs.x2go.org
Subject: Bug#407: X2Go issue (in src:x2goserver) has been marked as pending for release
Reply-To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, 407@bugs.x2go.org
Resent-From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Resent-To: x2go-dev@lists.x2go.org
Resent-CC: X2Go Developers <x2go-dev@lists.x2go.org>
X-Loop: owner@bugs.x2go.org
Resent-Date: Mon, 16 Jun 2014 07:45:01 +0000
Resent-Message-ID: <handler.407.B407.14029045866859@bugs.x2go.org>
Resent-Sender: owner@bugs.x2go.org
X-X2Go-PR-Message: followup 407
X-X2Go-PR-Package: x2goserver
X-X2Go-PR-Keywords: 
Received: via spool by 407-submit@bugs.x2go.org id=B407.14029045866859
          (code B ref 407); Mon, 16 Jun 2014 07:45:01 +0000
Received: (at 407) by bugs.x2go.org; 16 Jun 2014 07:43:06 +0000
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on
	ymir.das-netzwerkteam.de
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,NO_RELAYS,
	URIBL_BLOCKED autolearn=unavailable version=3.3.2
Received: by ymir.das-netzwerkteam.de (Postfix, from userid 1005)
	id A3AD85DB2C; Mon, 16 Jun 2014 09:42:46 +0200 (CEST)
From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 407-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 407@bugs.x2go.org
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
X-Mailer: http://snipr.com/post-receive-tag-pending
Message-Id: <20140616074246.A3AD85DB2C@ymir.das-netzwerkteam.de>
Date: Mon, 16 Jun 2014 09:42:46 +0200 (CEST)
tag #407 pending
fixed #407 4.0.1.16
thanks

Hello,

X2Go issue #407 (src:x2goserver) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=803fcba

The issue will most likely be fixed in src:x2goserver (4.0.1.16).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 803fcbaa4e92b1b3caa78bc5288fd7a43f7d4d5b
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Mon Jun 16 09:38:04 2014 +0200

    Fix problems with unmounting shared folders on session suspension/ termination. Remove extra parentheses from the fusermount execution call. (Fixes: #407).
    
    Conflicts (resolved by Mike Gabriel):
    	x2goserver/bin/x2goumount-session

diff --git a/debian/changelog b/debian/changelog
index 12368fb..c401735 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -28,6 +28,9 @@ x2goserver (4.0.1.16-0x2go1) UNRELEASED; urgency=low
     - Refuse client communcation if server-side hostname is not set up
       correctly (Fixes: #468).
     - Fix string comparion in x2goumount-session.
+    - Fix problems with unmounting shared folders on session suspension/
+      termination. Remove extra parentheses from the fusermount execution
+      call. (Fixes: #407).
   * debian/control, x2goserver.spec:
     + Update versioned D: x2goagent (>= 3.5.0.25). This assures that X2Go
       works with poly-instantiated /tmp directories.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Mon Jul 13 05:28:47 2020; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.